KUBERNETES(1)

NAME

kubeadm init phase upload-config kubeadm - Uploads the kubeadm ClusterConfiguration to a ConfigMap

SYNOPSIS

kubeadm init phase upload-config kubeadm [OPTIONS]

DESCRIPTION

Uploads the kubeadm ClusterConfiguration to a ConfigMap called kubeadm-config in the kube-system namespace. This enables correct configuration of system components and a seamless user experience when upgrading.

Alternatively, you can use kubeadm config.

OPTIONS

--config=""
    Path to a kubeadm configuration file.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

EXAMPLE

      # uploads the configuration of your cluster
      kubeadm init phase upload-config --config=myConfig.yaml

SEE ALSO

kubeadm-init-phase-upload-config(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!